=== debian/changelog ===
foo2zjs (20130306dfsg0-1ubuntu1) raring; urgency=low

  * Removed "Recommends: foomatic-db-engine"(LP: #1152831).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat,  9 Mar 2013 08:54:07 +0100

foo2zjs (20130306dfsg0-1) experimental; urgency=low

  * New 20130306 upstream release.
    - Cleanup on foo2hblp2.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Amend 20130220dfsg0-2 changelog entry to revert the
    Depends/Recommends explanation between Ubuntu and Debian back to
    what was implemented.
  * Add get-orig-source target to facilitate new upstream version
    import.
  * Add foo2hblp2 in Description.

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Mar 2013 15:13:33 +0100

foo2zjs (20130303dfsg0-1) experimental; urgency=low

  * New 20130303 upstream release. (LP: #984424)
    - Experimental support for three new printers:
      - Fuji Xerox DocuPrint CP205
      - Dell 1355
      - Xerox WorkCentre 6015
    - Refresh all patches
    - Add foo2hbpl2 binary, wrapper and manpages

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Rewrite the package content installation to allow the use of
    --fail-missing in dh_install.
  * Install all available PPDs before the pyppd run, to make sure we
    don't forget one.
  * Rewrite debian/copyright with Copyright-Format 1.0 style.
  * Rebuild PPDs because we can.
    - Add foomatic-db-engine to Build-Depends;
    - Update 10-makefile.patch to use system-provided foomatic-ppdfile;
    - Run 'all' and 'ppd' Makefile targets.

 -- Didier Raboud <odyx@debian.org>  Tue, 05 Mar 2013 10:37:06 +0100

foo2zjs (20130220dfsg0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Add time to Build-Depends, helps getting the tests run further.
  * Update 10-makefile.patch to enforce LDFLAGS usage and another case
    of CFLAGS overriding; also add DEP-3 headers.
  * Put mscompress to Recommends on Debian and to Depends on Ubuntu and
    derivatives, drops the need of a hand-merge by Ubuntu.

  [ Till Kamppeter ]
  * Add 96-hplj1000-fix-cups-usb-backend-firmware-upload.patch.
    The firmware upload script tried to upload the firmware via the usblp
    kernel module and with the CUPS USB backend (using libusb) in parallel,
    making the printer crash. (LP: #1003843)

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Feb 2013 18:32:51 +0100

foo2zjs (20130220dfsg0-1) experimental; urgency=low

  * New 20130220 upstream release. (LP: #1130918)
    - Install new printer's PPDs

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh all patches.

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Feb 2013 08:29:02 +0100

foo2zjs (20130113dfsg0-1) experimental; urgency=low

  * New 20130113 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh all patches.

 -- Didier Raboud <odyx@debian.org>  Sun, 13 Jan 2013 17:01:27 +0100
