## foo2zjs 20130826dfsg0

=== debian/changelog ===
foo2zjs (20130826dfsg0-0ubuntu2) saucy; urgency=low

  * No-change rebuild to get improved PPD archives via pyppd 1.0.0-3ubuntu1.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  2 Sep 2013 22:08:03 +0200

foo2zjs (20130826dfsg0-0ubuntu1) saucy; urgency=low

  * New 20130826 upstream release
    - Added support for Fuji Xerox DocuPrint P205
    - Bug fixes.
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/patches/10-makefile.patch: Refreshed with quilt.
  * debian/patches/90-manpages.patch: Updated as some issues got fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 26 Aug 2013 11:10:52 +0200

foo2zjs (20130513dfsg0-1) unstable; urgency=low

  * New 20130513 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2013 11:21:27 +0200

foo2zjs (20130306dfsg0-2) experimental; urgency=low

  [ Till Kamppeter ]
  * Removed "Recommends: foomatic-db-engine" (LP: #1152831)

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Mar 2013 12:43:40 +0100
