=== debian/control ===
Source: foo2zjs
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 ghostscript,
 foomatic-filters,
 foomatic-db-engine,
 libcups2-dev,
 dc,
 time,
 pyppd (>= 0.4.9-6~),
 libjbig-dev
Standards-Version: 3.9.3
Homepage: http://foo2zjs.rkkda.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git

Package: printer-driver-foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc
Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
Suggests: psutils, hannah-foo2zjs, tk8.4, tix
Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
Replaces: foo2zjs (<< 20111023dfsg0-1~)
Description: printer driver for ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hblp2, foo2hiperc,
 foo2hp, foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The psutils package is needed to enable n-up printing support.

Package: foo2zjs
Depends: printer-driver-foo2zjs, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for foo2zjs printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-foo2zjs.
