=== debian/changelog ===
foo2zjs (20140209dfsg0-1ubuntu1) trusty; urgency=medium

  [ Matthias Klose ]
  * printer-driver-foo2zjs-common: Suggest tix instead of recommending it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 18 Feb 2013 23:59:59 +0100

foo2zjs (20140209dfsg0-1) unstable; urgency=medium

  * New 20140209 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Use dh_pyppd's --archive-filename option instead of renaming the
    archive by hand
  * Refresh patches, update the spelling fixes'
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Feb 2014 09:57:22 +0100

foo2zjs (20131225dfsg0-6) unstable; urgency=low

  * Move the ppd-updater cups trigger to -common, where it belongs

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jan 2014 11:24:02 +0100

foo2zjs (20131225dfsg0-5) unstable; urgency=low

  * Add dh_listpackage package conditionals to fix arch-only FTBFS
  * Add lintian override for manpages not shipped in the same binary
    package

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jan 2014 10:12:49 +0100

foo2zjs (20131225dfsg0-4) unstable; urgency=low

  * Correct the name of the pyppd-compressed PPD set to correspond to
    the earlier ppd-updater driver name, thanks to Till Kamppeter
  * Let printer-driver-foo2zjs-common Recommend printer-driver-foo2zjs

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jan 2014 22:32:17 +0100

foo2zjs (20131225dfsg0-3) unstable; urgency=low

  * Fix the patch to avoid the implicit declaration of swab() in
    cmsio1.c

 -- Didier Raboud <odyx@debian.org>  Wed, 08 Jan 2014 12:52:44 +0100

foo2zjs (20131225dfsg0-2) unstable; urgency=low

  * Split printer-driver-foo2zjs into -common to let all
    arch-independent files be shared across architectures
  * Fix leftover 'supress' typo in oakdecode

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jan 2014 17:44:09 +0100

foo2zjs (20131225dfsg0-1) unstable; urgency=low

  * New 20131325 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  
  * Refresh all patches
  * Add patch to avoid the implicit declaration of swab() in cmsio1.c
  * Update Makefile patch to push CPPFLAGS and LDFLAGS to all needed
    places
  * Move getweb from usr/bin/ to usr/sbin/ as it needs to be run by root
    (as patched by Debian)
  * Stop installing the upstream changelog twice
  * Update 90-manpages patch to fix more errors and all hyphen-as-minus-
    sign occurences
  * Update 91-spelling-fixes to fix more occurences of 'langauge' or
    'similiar'
  * Move hplj1000 and all linked scripts from /usr/sbin/ to /lib/udev as
    they are called by the package udev rules-file
  * Add lintian override for /lib/firmware/hp empty directory
  * Only ship command2foo2lava-pjl in cups filters

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jan 2014 15:43:17 +0100
