=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,20 @@
 	# Ghostscript rendering the pages significantly faster
 	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
 	# Legacy dh_install
-	dh_install --fail-missing -Xusb_printerid -Xhplj10xx.rules -XINSTALL -XINSTALL.OSX -XCOPYING
+	dh_install --fail-missing \
+		-Xusb_printerid \
+		-Xhplj10xx.rules \
+		-XINSTALL \
+		-XINSTALL.OSX \
+		-XCOPYING \
+		-XChangeLog \
+		-Xcups/filter/command2foo2lava-pjl 
+
+ifneq (,$(filter printer-driver-foo2zjs, $(shell dh_listpackages)))
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# usb_printerid is Linux-specific
 	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
-	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/man/man1/usb_printerid.1
+	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs-common/usr/share/man/man1/usb_printerid.1
 	# Use a policy-numbered name for the Linux-specific udev rules file
 	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/printer-driver-foo2zjs/lib/udev/rules.d/85-hplj10xx.rules
 endif
@@ -35,13 +44,18 @@
 	# /etc/devd/hplj10xx.conf is kFreeBSD-specific
 	install -D -m 644 hplj10xx.conf $(CURDIR)/debian/printer-driver-foo2zjs/etc/devd/hplj10xx.conf
 endif
+endif
+
+ifneq (,$(filter printer-driver-foo2zjs-common, $(shell dh_listpackages)))
 	### patches/20-PDF-input-data-in-PPDs.patch
 	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
-	( cd $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/ppd/foo2zjs; \
+	( cd $(CURDIR)/debian/printer-driver-foo2zjs-common/usr/share/ppd/foo2zjs; \
 	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
 	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
 	)
-	dh_pyppd
+	# Correct the name of the pyppd-compressed PPD set to correspond to the earlier ppd-updater driver name
+	dh_pyppd --archive-filename=foo2zjs
+endif
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
