## foo2zjs 20140519dfsg0

=== debian/changelog ===
foo2zjs (20140519dfsg0-2) unstable; urgency=medium

  * Add autopkgtest suite
  * Use the Debian-provided liblcms1
    - Add liblcms1-dev to Build-Depends;
    - Add 20-system-liblcms.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Aug 2014 16:59:15 +0200

foo2zjs (20140519dfsg0-1) unstable; urgency=medium

  * New 20140519 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches to fix three more typos and hyphen-as-minus.

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jun 2014 14:57:56 +0200

foo2zjs (20140322dfsg0-1) unstable; urgency=medium

  * New 20140322 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 13:14:56 +0100

foo2zjs (20140302dfsg0-1) unstable; urgency=medium

  * New 20140302 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 17:23:13 +0100
