=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
  foomatic-filters,
  foomatic-db-engine,
  libcups2-dev,
+ liblcms1-dev,
  dc,
  time,
  pyppd (>= 1.0.2-1~),
  libjbig-dev
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.5
 Homepage: http://foo2zjs.rkkda.com/
-Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/printing/foo2zjs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/foo2zjs.git
 
 Package: printer-driver-foo2zjs
 Architecture: any
@@ -39,8 +41,7 @@
 Package: printer-driver-foo2zjs-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: tk, printer-driver-foo2zjs (>= ${source:Version})
-Suggests: tix
+Recommends: tix, tk, printer-driver-foo2zjs (>= ${source:Version})
 Enhances: printer-driver-foo2zjs (>= ${source:Version})
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
 Replaces: foo2zjs (<< 20111023dfsg0-1~), printer-driver-foo2zjs (<< 20131225dfsg0-5~)
