## foo2zjs 20140925dfsg0

=== debian/changelog ===
foo2zjs (20140925dfsg0-3) unstable; urgency=medium

  [ Peter De Wachter ]
  * Fix laserjet1018 appearance and disappearance loop: (Closes: #663868)
    - update the 30-udev-rules.patch to add an 'ACTION="add"' to avoid running
      the firmware upload script on unplug,
    - add patch 97-hplj1000-fix-firmware-upload-infite-loop.patch to ignore the
      irrelevant events and thus cut the loop short.

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Oct 2014 22:51:47 +0200

foo2zjs (20140925dfsg0-2) unstable; urgency=medium

  * Put tix to Recommends on Debian and to Suggests on Ubuntu and derivatives

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 18:03:18 +0200

foo2zjs (20140925dfsg0-1) unstable; urgency=medium

  * New 20140925 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Push the system-lcms patch from Michael up the pile

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 09:58:06 +0200

foo2zjs (20140519dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use psicc from lcms2 (closes: #757384).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Sep 2014 21:34:38 +0000
