=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,13 @@
 	# Debian considers mscompress to be a Recommends of printer-driver-foo2zjs
 	echo "debian:mscompress=mscompress" >> debian/printer-driver-foo2zjs.substvars
 endif
+ifeq ($(derives_from_ubuntu),yes)
+	# Ubuntu considers tix to be a Suggest of printer-driver-foo2zjs
+	echo "ubuntu:tix=tix" >> debian/printer-driver-foo2zjs.substvars
+else
+	# Debian considers tix to be a Depends of printer-driver-foo2zjs
+	echo "debian:tix=tix" >> debian/printer-driver-foo2zjs.substvars
+endif
 	dh_gencontrol
 
 override_dh_auto_clean:
