## foo2zjs 20150214dfsg0

=== Makefile ===
--- 
+++ 
@@ -200,6 +200,7 @@
 		osx-hotplug/Makefile \
 		osx-hotplug/*.m \
 		osx-hotplug/*.1in \
+		osx-hotplug/*.plist \
 		ppd-adjust \
 		PPD/*.ppd \
 		crd/zjs/*.crd \
@@ -502,4 +503,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2qpdl-wrapper: foo2qpdl-wrapper.in Makefile
