=== debian/changelog ===
foo2zjs (20150214dfsg0-0ubuntu1) vivid; urgency=medium

  * New 20150214 upstream release
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 14 Feb 2015 09:57:53 -0200
