## foo2zjs 20150819dfsg0

=== debian/changelog ===
foo2zjs (20150819dfsg0-0ubuntu1) wily; urgency=medium

  * New 20150819 upstream release
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Aug 2015 19:40:58 -0300
