=== osx-hotplug/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(INSTALL) -c osx-hplj-hotplug $(BIN)/
 
 install-hotplug:
+	$(INSTALL) -c local.localhost.startup.plist /Library/LaunchDaemons/
 	( \
 		echo "g/osx-hplj-hotplug/d"; \
 		echo "\$$a"; \
@@ -52,6 +53,7 @@
 		echo "."; \
 		echo "w"; \
 	) | ex $(RC)
+	chmod +x $(RC)
 	-killall osx-hplj-hotplug
 	nohup osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &
