=== debian/changelog ===
foo2zjs (20151024dfsg0-1ubuntu1) xenial; urgency=medium

  * Explicitly prefer cups-filters as the real provider of foomatic-filters;
    it's already the one in Ubuntu main.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Apr 2016 12:08:30 +0100

foo2zjs (20151024dfsg0-1) unstable; urgency=medium

  * New 20151024 upstream release
    - New Printer: Epson AcuLaser CX17NF using the foo2hbpl2 driver

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Dec 2015 17:29:39 +0100

foo2zjs (20150704dfsg0-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Sep 2015 18:02:31 +0200

foo2zjs (20150704dfsg0-1) experimental; urgency=low

  * New 20150704 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Add gbp.conf
  * Bump Standards-Version to 3.9.6 without changes needed
  * Update the Vcs-* entries for the https variants

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Aug 2015 13:48:47 +0200

foo2zjs (20150511dfsg0-1) unstable; urgency=medium

  * New 20150511 upstream release

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
  * Update get-orig-source to cope with the new branch names

 -- Didier Raboud <odyx@debian.org>  Sun, 05 Jul 2015 17:17:01 +0200
