=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: foo2zjs
 Section: text
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
  ghostscript,
- foomatic-filters,
+ cups-filters | foomatic-filters,
  foomatic-db-engine,
  libcups2-dev,
  liblcms2-utils,
@@ -14,14 +15,14 @@
  pyppd (>= 1.0.2-1~),
  libjbig-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://foo2zjs.rkkda.com/
-Vcs-Git: https://alioth.debian.org/anonscm/git/printing/foo2zjs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/foo2zjs.git
+Vcs-Git: https://anonscm.debian.org/git/printing/foo2zjs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/printing/foo2zjs.git
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version}), liblcms2-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${ubuntu:mscompress}, cups-filters | foomatic-filters, dc, printer-driver-foo2zjs-common (>= ${source:Version}), liblcms2-utils
 Recommends: wget, unzip, ${debian:mscompress}, cups, cups-client
 Suggests: psutils, hannah-foo2zjs
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
